ejb 问题 ,急啊,希望banq老师帮忙??

08-11-05 bravgy
当我通过jndi 请求jboss时 ,在服务端出现这个问题:
11:18:27,171 ERROR [ServerThread] failed to process invocation.
java.io.IOException: Can not read data for version 22. Supported versions: 1,2
at org.jboss.remoting.transport.socket.ServerThread.versionedRead(ServerThread.java:394)
at org.jboss.remoting.transport.socket.ServerThread.processInvocation(ServerThread.java:446)
at org.jboss.remoting.transport.socket.ServerThread.dorun(ServerThread.java:527)
at org.jboss.remoting.transport.socket.ServerThread.run(ServerThread.java:261)
11:18:27,171 ERROR [ServerThread] failed to process invocation.
java.io.IOException: Can not read data for version 22. Supported versions: 1,2
at org.jboss.remoting.transport.socket.ServerThread.versionedRead(ServerThread.java:394)
at org.jboss.remoting.transport.socket.ServerThread.processInvocation(ServerThread.java:446)
at org.jboss.remoting.transport.socket.ServerThread.dorun(ServerThread.java:527)
at org.jboss.remoting.transport.socket.ServerThread.run(ServerThread.java:261)
11:18:27,171 ERROR [ServerThread] failed to process invocation.
java.io.IOException: Can not read data for version 22. Supported versions: 1,2
at org.jboss.remoting.transport.socket.ServerThread.versionedRead(ServerThread.java:394)
at org.jboss.remoting.transport.socket.ServerThread.processInvocation(ServerThread.java:446)
at org.jboss.remoting.transport.socket.ServerThread.dorun(ServerThread.java:527)
at org.jboss.remoting.transport.socket.ServerThread.run(ServerThread.java:261)

banq
2008-11-05 14:48
>Can not read data for version 22. Supported versions: 1,2

版本可能不一致。

bravgy
2008-11-05 15:59
到底是什么版本不一致 ??请说明确点